SET FOREIGN_KEY_CHECKS = 0;
CREATE TABLE `ML_REPORT` (
  `ID_ML_REPORT` int(11) NOT NULL AUTO_INCREMENT,
  `LICENZA` varchar(45) NOT NULL,
  `CODICE_LICENZIATARIO` varchar(45) NOT NULL,
  `NOMINATIVO_LICENZIATARIO` varchar(255) DEFAULT NULL,
  `SERVIZIO` varchar(45) NOT NULL,
  `ORIG_PERIODO_COMPETENZA` varchar(45) NOT NULL,
  `PERIODO_COMPETENZA_DATA_DA` date NOT NULL,
  `PERIODO_COMPETENZA_DATA_A` date NOT NULL,
  `MOD_UTILIZZAZIONE` int(11) NOT NULL,
  `MOD_FRUIZIONE` varchar(45) NOT NULL,
  `IN_ABBONAMENTO` bit(1) NOT NULL,
  `POSIZIONE_REPORT` varchar(512) NOT NULL,
  `IDENTIFICATIVO_REPORT` varchar(255) NOT NULL,
  `PROGRESSIVO_REPORT` int(11) NOT NULL,
  `STATO` varchar(45) NOT NULL,
  `USA_CODICE_OPERA` bit(1) NOT NULL,
  `DATA_UPLOAD` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `POSIZIONE_REPORT_NORMALIZZATO` varchar(255) DEFAULT NULL,
  `DATA_VALIDAZIONE` datetime DEFAULT NULL,
  `VALIDAZIONE_RECORD_TOTALI` int(11) DEFAULT NULL,
  `VALIDAZIONE_RECORD_VALIDI` int(11) DEFAULT NULL,
  `VALIDAZIONE_UTILIZZAZIONI_VALIDE` int(11) DEFAULT NULL,
  `DATA_CODIFICA` datetime DEFAULT NULL,
  `POSIZIONE_REPORT_CODIFICATO` varchar(255) DEFAULT NULL,
  `CODIFICA_RECORD_CODIFICATI` int(11) DEFAULT NULL,
  `CODIFICA_UTILIZZAZIONI_CODIFICATE` int(11) DEFAULT NULL,
  `ATTIVO` bit(1) NOT NULL DEFAULT b'0',
  `CODIFICA_INFO` text,
  `STATO_LOGICO` varchar(45) NOT NULL,
  `SOGLIA_VALIDAZIONE` decimal(5,2) DEFAULT NULL,
  `SOGLIA_CODIFICA` decimal(5,2) DEFAULT NULL,
  `DATA_NOTIFICA_VALIDAZIONE` DATETIME DEFAULT NULL,
  `INFO_NOTIFICA_VALIDAZIONE` VARCHAR(500) DEFAULT NULL,
  `DATA_NOTIFICA_CODIFICA` DATETIME DEFAULT NULL,
  `INFO_NOTIFICA_CODIFICA` VARCHAR(500) DEFAULT NULL,
  PRIMARY KEY (`ID_ML_REPORT`),
  UNIQUE KEY `index3` (`LICENZA`,`SERVIZIO`,`ORIG_PERIODO_COMPETENZA`,`MOD_UTILIZZAZIONE`,`PROGRESSIVO_REPORT`),
  UNIQUE KEY `index4` (`IDENTIFICATIVO_REPORT`),
  KEY `INDEX` (`ID_ML_REPORT`)
);
commit;


